Debian Bug report logs - #603144
/usr/share/man/man3/memcpy.3.gz: memcpy description should say "must not" instead of "should not"

version graph

Package: manpages-dev; Maintainer for manpages-dev is Martin Schulze <joey@debian.org>; Source for manpages-dev is src:manpages.

Reported by: Lars Wirzenius <liw@liw.fi>

Date: Thu, 11 Nov 2010 10:18:01 UTC

Severity: minor

Tags: fixed-upstream, patch

Found in version manpages/3.25-1

Fixed in version manpages/3.32-0.1

Done: Simon Paillard <spaillard@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#603144; Package manpages-dev. (Thu, 11 Nov 2010 10:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lars Wirzenius <liw@liw.fi>:
New Bug report received and forwarded. Copy sent to Martin Schulze <joey@debian.org>. (Thu, 11 Nov 2010 10:18:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lars Wirzenius <liw@liw.fi>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: /usr/share/man/man3/memcpy.3.gz: memcpy description should say "must not" instead of "should not"
Date: Thu, 11 Nov 2010 10:15:07 +0000
Package: manpages-dev
Version: 3.25-1
Severity: minor
File: /usr/share/man/man3/memcpy.3.gz

In reference of http://lwn.net/Articles/414467/

Please change the wording in memcpy(3) from this:

    The memory areas should not overlap.

to this:

    The memory areas must not overlap.

Thanks.

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_GB.utf8, LC_CTYPE=en_GB.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages manpages-dev depends on:
ii  manpages                      3.25-1     Manual pages about using a GNU/Lin

manpages-dev recommends no packages.

Versions of packages manpages-dev suggests:
ii  man-db [man-browser]          2.5.7-6    on-line manual pager

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#603144; Package manpages-dev. (Mon, 15 Nov 2010 06:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to mtk.manpages@gmail.com:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. (Mon, 15 Nov 2010 06:21:03 GMT) Full text and rfc822 format available.

Message #10 received at 603144@bugs.debian.org (full text, mbox):

From: Michael Kerrisk <mtk.manpages@gmail.com>
To: Lars Wirzenius <liw@liw.fi>, 603144@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#603144: /usr/share/man/man3/memcpy.3.gz: memcpy description should say "must not" instead of "should not"
Date: Mon, 15 Nov 2010 07:16:46 +0100
tags 603144 fixed-upstream
thanks

On Thu, Nov 11, 2010 at 11:15 AM, Lars Wirzenius <liw@liw.fi> wrote:
> Package: manpages-dev
> Version: 3.25-1
> Severity: minor
> File: /usr/share/man/man3/memcpy.3.gz
>
> In reference of http://lwn.net/Articles/414467/
>
> Please change the wording in memcpy(3) from this:
>
>    The memory areas should not overlap.
>
> to this:
>
>    The memory areas must not overlap.

Fixed for upstream man-pages-3.32.

thanks for the report!

Cheers,

Michael


-- 
Michael Kerrisk
Linux man-pages maintainer; http://www.kernel.org/doc/man-pages/
Author of "The Linux Programming Interface"; http://man7.org/tlpi/




Added tag(s) fixed-upstream. Request was from Michael Kerrisk <mtk.manpages@gmail.com> to control@bugs.debian.org. (Mon, 15 Nov 2010 06:21:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#603144; Package manpages-dev. (Mon, 25 Jul 2011 23:03:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simon Paillard <spaillard@debian.org>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. (Mon, 25 Jul 2011 23:03:13 GMT) Full text and rfc822 format available.

Message #17 received at 603144@bugs.debian.org (full text, mbox):

From: Simon Paillard <spaillard@debian.org>
To: 537282@bugs.debian.org, 563859@bugs.debian.org, 603134@bugs.debian.org, 603144@bugs.debian.org, 628159@bugs.debian.org
Subject: manpages: diff for NMU version 3.32-0.1
Date: Tue, 26 Jul 2011 00:58:47 +0200
[Message part 1 (text/plain, inline)]
tags 537282 + patch
tags 537282 + pending
tags 563859 + pending
tags 603134 + pending
tags 603144 + patch
tags 603144 + pending
tags 628159 + patch
tags 628159 + pending
thanks

Dear Joey,

I've prepared an NMU for manpages (versioned as 3.32-0.1) and
uploaded it to DELAYED/10. Please feel free to tell me if I
should delay it longer.

Regards.

Full git history available at:
http://anonscm.debian.org/gitweb/?p=users/spaillard/pkg-manpages.git;a=summary

-- 
Simon Paillard
[manpages-3.32-0.1-nmu.diff.gz (application/octet-stream, attachment)]

Added tag(s) patch. Request was from Simon Paillard <spaillard@debian.org> to control@bugs.debian.org. (Mon, 25 Jul 2011 23:03:24 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Simon Paillard <spaillard@debian.org> to control@bugs.debian.org. (Mon, 25 Jul 2011 23:03:25 GMT) Full text and rfc822 format available.

Reply sent to Simon Paillard <spaillard@debian.org>:
You have taken responsibility. (Thu, 04 Aug 2011 23:51:11 GMT) Full text and rfc822 format available.

Notification sent to Lars Wirzenius <liw@liw.fi>:
Bug acknowledged by developer. (Thu, 04 Aug 2011 23:51:11 GMT) Full text and rfc822 format available.

Message #26 received at 603144-close@bugs.debian.org (full text, mbox):

From: Simon Paillard <spaillard@debian.org>
To: 603144-close@bugs.debian.org
Subject: Bug#603144: fixed in manpages 3.32-0.1
Date: Thu, 04 Aug 2011 23:47:50 +0000
Source: manpages
Source-Version: 3.32-0.1

We believe that the bug you reported is fixed in the latest version of
manpages, which is due to be installed in the Debian FTP archive:

manpages-dev_3.32-0.1_all.deb
  to main/m/manpages/manpages-dev_3.32-0.1_all.deb
manpages_3.32-0.1.diff.gz
  to main/m/manpages/manpages_3.32-0.1.diff.gz
manpages_3.32-0.1.dsc
  to main/m/manpages/manpages_3.32-0.1.dsc
manpages_3.32-0.1_all.deb
  to main/m/manpages/manpages_3.32-0.1_all.deb
manpages_3.32.orig.tar.gz
  to main/m/manpages/manpages_3.32.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 603144@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Simon Paillard <spaillard@debian.org> (supplier of updated manpages package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sat, 04 Jun 2011 01:57:30 +0200
Source: manpages
Binary: manpages manpages-dev
Architecture: source all
Version: 3.32-0.1
Distribution: unstable
Urgency: low
Maintainer: Martin Schulze <joey@debian.org>
Changed-By: Simon Paillard <spaillard@debian.org>
Description: 
 manpages   - Manual pages about using a GNU/Linux system
 manpages-dev - Manual pages about using GNU/Linux for development
Closes: 537282 563859 603134 603144 628159
Changes: 
 manpages (3.32-0.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * New upstream version (closes: Bug#628159)
    . Reword page definition in getpagesize(2) (closes: Bug#537282)
    . Use "must not" in memcpy(3) (closes: Bug#603144)
    . Fix typo proc(5) (closes: #603134)
   * Clean debian specific missing(7) manpages
   * Add debian/watch
   * debian/control:
     . Add Vcs- fields
     . Add Homepage field
     . Bump Standards-Version to 3.9.2
   * Remove obsolete Debian patches, thanks to Denis Barbier
     (closes: Bug#563859):
    . man2/adjtime.2
       This file is useless, upstream added adjtime.3 in 2.35
    . man2/FD_CLR.2 man2/FD_ISSET.2 man2/FD_SET.2 man2/FD_ZERO.2
       These files are useless, upstream added them in man3 section in 2.33
    . man2/socket.2
       Can be dropped, upstream added a slightly different version in 2.61
    . man4/ttys.4
       This file is useless, upstream added ttyS.4 in 2.72
    * man5/networks.5
       Can be dropped, upstream added a slightly different version in 3.09
Checksums-Sha1: 
 0fe76b0b0fb7c9a0c395ad488b8e078ac5fb1201 1789 manpages_3.32-0.1.dsc
 09137508f81bef371aeeafb8b25b6c8158296e9b 1667965 manpages_3.32.orig.tar.gz
 7e82b139cad31e168c5b3b83ef338f3a3c1d7d20 51672 manpages_3.32-0.1.diff.gz
 af9960a0f621f6b8d8a3a5bd61fd5542978f0261 749736 manpages_3.32-0.1_all.deb
 78c30a0831ecf4696885442591dff6a1f5d26a69 1662530 manpages-dev_3.32-0.1_all.deb
Checksums-Sha256: 
 e964559a285d187e1153320a533eeac4196dd593f3cd18ef7e444bb28cd6b6fa 1789 manpages_3.32-0.1.dsc
 61ef2fc36421e72eb92d1f533576a439a2fcdae20269393f740dd98abd8be519 1667965 manpages_3.32.orig.tar.gz
 73bc5d6e0a31bf5faac7e601c25d43ecb008ef3c8934b3a721794eebe871681c 51672 manpages_3.32-0.1.diff.gz
 36b4e15360c27482c4049ca8df59815a1c5a7dccb0acf1c764263d59778ae0de 749736 manpages_3.32-0.1_all.deb
 e3116d76b49d2acfdfadac9a54b4670c7c815db52a3d0491a291475bce6cd998 1662530 manpages-dev_3.32-0.1_all.deb
Files: 
 04db0015fa1835c1c53313a34b6a08b3 1789 doc important manpages_3.32-0.1.dsc
 cc6c2d4d4eb364fd8da718c412db09d4 1667965 doc important manpages_3.32.orig.tar.gz
 8b46986812f22d8825e590aefc06fb4b 51672 doc important manpages_3.32-0.1.diff.gz
 7207019236f003e61e0ad18012e359ac 749736 doc important manpages_3.32-0.1_all.deb
 9421920d4b4362899145e5d882a8cb6d 1662530 doc optional manpages-dev_3.32-0.1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCAAGBQJOLfNPAAoJEN/3OMLRbPuimcMP/iJLGg+ZZ25lZj2Dv5g5GwcD
+Uo62PXA8Uf4Yfxa+3sw89oqc0kF42+qYEDQJJCA7D5GhKPNIQ3jt0AOrXdLx1Vz
JUpQddg3UqRmnPn1zIz5nD9bQix+6mLdGWpmA3IpX6vnj2p5qGkSw5Z7XFjGI5F9
/sw3R+oCfhSuIzD/Qqo4wSQiPVHsp40RdmtacPcMg6cgD7LyGaOwDd/FKHw7VKkw
W5CYGk7sJGHzHz6y9qsLzgpVFpfhgikul7REY4GzlpKIGg5d3Gi5UHpPZgjVm5Uv
V412zbdahG72VO7S0ia+fndrmt2T25zhutvICNTd8xCzhxXPHgx2qH5DcdjgrpVE
OkpHX4N1uf5E3vcg1Asx2QRznmRzdQJU3MuZbkIZw9H2MIFAvYcZ9yldCqisRPax
wwh1UWB6UWv3FFdfTiCEgSTorRQJhYuiH6ZuvIwNRkpnNZswxezzgDdhl1jV0QeN
2e0MkmcTG4qq6n4573wGZQcYqy0ih9GS5RxRVaoknRV5KcRoqMrgkadDd9hrBfaA
T3j4Bd95zRJysTKJGB7BMV1KHMkIhvFgoecm06zh3usQbKiH2oQ39kvBI7p3FX/8
M0cdZSze04FC9CIbpFPRJDHeHYEFnJdVD/h/EsSuH19JivhQZluCngpCaIHUBHOQ
DKI66xx8iUC188WLRd4q
=/ANx
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 02 Sep 2011 07:38:29 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 19:21:20 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.